Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.dd
Interface TDeployment.Process.MexInterceptors

All Superinterfaces:
  org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

All Known Implementing Classes:
  TDeploymentImpl.ProcessImpl.MexInterceptorsImpl

Enclosing interface:
  TDeployment.Process

    public static interface TDeployment.Process.MexInterceptors

extends org.apache.xmlbeans.XmlObject

An XML mex-interceptors(@http://www.apache.org/ode/schemas/dd/2007/03). This is a complex type.

Nested Class Summary
`static class` | `TDeployment.Process.MexInterceptors.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static org.apache.xmlbeans.SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`TMexInterceptor` | `addNewMexInterceptor()` Appends and returns a new empty value (as xml) as the last "mex-interceptor" element
`TMexInterceptor[]` | `getMexInterceptorArray()` Deprecated.
`TMexInterceptor` | `getMexInterceptorArray(int i)` Gets ith "mex-interceptor" element
`java.util.List<TMexInterceptor>` | `getMexInterceptorList()` Gets a List of "mex-interceptor" elements
`TMexInterceptor` | `insertNewMexInterceptor(int i)` Inserts and returns a new empty value (as xml) as the ith "mex-interceptor" element
`void` | `removeMexInterceptor(int i)` Removes the ith "mex-interceptor" element
`void` | `setMexInterceptorArray(int i, TMexInterceptor mexInterceptor)` Sets ith "mex-interceptor" element
`void` | `setMexInterceptorArray(TMexInterceptor[] mexInterceptorArray)` Sets array of all "mex-interceptor" element
`int` | `sizeOfMexInterceptorArray()` Returns number of "mex-interceptor" element

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final org.apache.xmlbeans.SchemaType type

Method Detail

### getMexInterceptorList

    java.util.List<TMexInterceptor> getMexInterceptorList()

  Gets a List of "mex-interceptor" elements

### getMexInterceptorArray

    TMexInterceptor[] getMexInterceptorArray()

  Deprecated.

  Gets array of all "mex-interceptor" elements

### getMexInterceptorArray

    TMexInterceptor getMexInterceptorArray(int i)

  Gets ith "mex-interceptor" element

### sizeOfMexInterceptorArray

    int sizeOfMexInterceptorArray()

  Returns number of "mex-interceptor" element

### setMexInterceptorArray

    void setMexInterceptorArray(TMexInterceptor[] mexInterceptorArray)

  Sets array of all "mex-interceptor" element

### setMexInterceptorArray

    void setMexInterceptorArray(int i,
                                TMexInterceptor mexInterceptor)

  Sets ith "mex-interceptor" element

### insertNewMexInterceptor

    TMexInterceptor insertNewMexInterceptor(int i)

  Inserts and returns a new empty value (as xml) as the ith "mex-interceptor" element

### addNewMexInterceptor

    TMexInterceptor addNewMexInterceptor()

  Appends and returns a new empty value (as xml) as the last "mex-interceptor" element

### removeMexInterceptor

    void removeMexInterceptor(int i)

  Removes the ith "mex-interceptor" element

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD